landgraf / rpms / bind

Forked from rpms/bind 6 years ago
Clone
bec7739
diff -up bind-9.9.1-P2/config.h.in.multlib-conflict bind-9.9.1-P2/config.h.in
bec7739
--- bind-9.9.1-P2/config.h.in.multlib-conflict	2012-08-01 14:07:40.300605215 +0200
bec7739
+++ bind-9.9.1-P2/config.h.in	2012-08-01 14:08:06.449526607 +0200
bec7739
@@ -400,7 +400,7 @@ int sigwait(const unsigned int *set, int
bec7739
 #undef PORT_NONBLOCK
bec7739
 
bec7739
 /* The size of `void *', as computed by sizeof. */
bec7739
-#undef SIZEOF_VOID_P
bec7739
+/* #undef SIZEOF_VOID_P */
bec7739
 
bec7739
 /* Define to 1 if you have the ANSI C header files. */
bec7739
 #undef STDC_HEADERS
bec7739
diff -up bind-9.9.1-P2/configure.in.multlib-conflict bind-9.9.1-P2/configure.in
bec7739
--- bind-9.9.1-P2/configure.in.multlib-conflict	2012-08-01 13:25:04.871278041 +0200
bec7739
+++ bind-9.9.1-P2/configure.in	2012-08-01 13:25:08.705266546 +0200
bec7739
@@ -2102,7 +2102,9 @@ int getnameinfo(const struct sockaddr *,
bec7739
                 size_t, char *, size_t, int);],
bec7739
 [ return (0);],
bec7739
 	[AC_MSG_RESULT(size_t for buflen; int for flags)
bec7739
-	 AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, size_t)
bec7739
+	# Changed to solve multilib conflict on Fedora 
bec7739
+	#AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, size_t)
bec7739
+	 AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, socklen_t)
bec7739
 	 AC_DEFINE(IRS_GETNAMEINFO_FLAGS_T, int)],
bec7739
 [AC_MSG_RESULT(not match any subspecies; assume standard definition)
bec7739
 AC_DEFINE(IRS_GETNAMEINFO_BUFLEN_T, socklen_t)
bec7739
diff -up bind-9.9.1-P2/isc-config.sh.in.multlib-conflict bind-9.9.1-P2/isc-config.sh.in
bec7739
--- bind-9.9.1-P2/isc-config.sh.in.multlib-conflict	2012-08-01 10:30:18.414494493 +0200
bec7739
+++ bind-9.9.1-P2/isc-config.sh.in	2012-08-01 14:12:11.696789273 +0200
bec7739
@@ -20,8 +20,19 @@
bec7739
 prefix=@prefix@
bec7739
 exec_prefix=@exec_prefix@
bec7739
 exec_prefix_set=
bec7739
-libdir=@libdir@
bec7739
 includedir=@includedir@
bec7739
+arch=$(uname -m)
bec7739
+
bec7739
+case $arch in
bec7739
+	x86_64 | amd64 | sparc64 | s390x | ppc64)
bec7739
+		libdir=/usr/lib64
bec7739
+		sec_libdir=/usr/lib
bec7739
+		;;
bec7739
+	* )
bec7739
+		libdir=/usr/lib
bec7739
+		sec_libdir=/usr/lib64
bec7739
+		;;
bec7739
+esac
bec7739
 
bec7739
 usage()
bec7739
 {
bec7739
@@ -124,6 +135,16 @@ if test x"$echo_cflags" = x"true"; then
bec7739
 	echo $includes
bec7739
 fi
bec7739
 if test x"$echo_libs" = x"true"; then
bec7739
+	if [ ! -x $libdir/libisc.so ] ; then
bec7739
+		if [ ! -x $sec_libdir/libisc.so ] ; then
bec7739
+			echo "Error: ISC libs not found in $libdir"
bec7739
+			if [ -d $sec_libdir ] ; then
bec7739
+				echo "Error: ISC libs not found in $sec_libdir"
bec7739
+			fi
bec7739
+			exit 1
bec7739
+		fi
bec7739
+		libdir=$sec_libdir
bec7739
+	fi
bec7739
 	libs="-L${libdir}"
bec7739
 	if test x"$liblwres" = x"true" ; then
bec7739
 		libs="$libs -llwres"